Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class CategoryTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.CategoryTO

All Implemented Interfaces:
  Serializable

public class CategoryTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`CategoryTO()`
`CategoryTO(String[] cardList, String icon, String id, int idx, String name, String parentId, String selectedIcon, String type)`

Method Summary
`boolean` | `equals(Object obj)`
`String[]` | `getCardList()` Gets the cardList value for this CategoryTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getIcon()` Gets the icon value for this CategoryTO.
`String` | `getId()` Gets the id value for this CategoryTO.
`int` | `getIdx()` Gets the idx value for this CategoryTO.
`String` | `getName()` Gets the name value for this CategoryTO.
`String` | `getParentId()` Gets the parentId value for this CategoryTO.
`String` | `getSelectedIcon()` Gets the selectedIcon value for this CategoryTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`String` | `getType()` Gets the type value for this CategoryTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCardList(String[] cardList)` Sets the cardList value for this CategoryTO.
`void` | `setIcon(String icon)` Sets the icon value for this CategoryTO.
`void` | `setId(String id)` Sets the id value for this CategoryTO.
`void` | `setIdx(int idx)` Sets the idx value for this CategoryTO.
`void` | `setName(String name)` Sets the name value for this CategoryTO.
`void` | `setParentId(String parentId)` Sets the parentId value for this CategoryTO.
`void` | `setSelectedIcon(String selectedIcon)` Sets the selectedIcon value for this CategoryTO.
`void` | `setType(String type)` Sets the type value for this CategoryTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryTO

    public CategoryTO()

### CategoryTO

    public CategoryTO(String[] cardList,
                      String icon,
                      String id,
                      int idx,
                      String name,
                      String parentId,
                      String selectedIcon,
                      String type)

Method Detail

### getCardList

    public String[] getCardList()

  Gets the cardList value for this CategoryTO.

  Returns:
    cardList

### setCardList

    public void setCardList(String[] cardList)

  Sets the cardList value for this CategoryTO.

  Parameters:
    `cardList` -

### getIcon

    public String getIcon()

  Gets the icon value for this CategoryTO.

  Returns:
    icon

### setIcon

    public void setIcon(String icon)

  Sets the icon value for this CategoryTO.

  Parameters:
    `icon` -

### getId

    public String getId()

  Gets the id value for this CategoryTO.

  Returns:
    id

### setId

    public void setId(String id)

  Sets the id value for this CategoryTO.

  Parameters:
    `id` -

### getIdx

    public int getIdx()

  Gets the idx value for this CategoryTO.

  Returns:
    idx

### setIdx

    public void setIdx(int idx)

  Sets the idx value for this CategoryTO.

  Parameters:
    `idx` -

### getName

    public String getName()

  Gets the name value for this CategoryTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this CategoryTO.

  Parameters:
    `name` -

### getParentId

    public String getParentId()

  Gets the parentId value for this CategoryTO.

  Returns:
    parentId

### setParentId

    public void setParentId(String parentId)

  Sets the parentId value for this CategoryTO.

  Parameters:
    `parentId` -

### getSelectedIcon

    public String getSelectedIcon()

  Gets the selectedIcon value for this CategoryTO.

  Returns:
    selectedIcon

### setSelectedIcon

    public void setSelectedIcon(String selectedIcon)

  Sets the selectedIcon value for this CategoryTO.

  Parameters:
    `selectedIcon` -

### getType

    public String getType()

  Gets the type value for this CategoryTO.

  Returns:
    type

### setType

    public void setType(String type)

  Sets the type value for this CategoryTO.

  Parameters:
    `type` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD